Unable to change PHP version: Call to a member function getValue() on null

Created:

2017-03-08 13:31:56 UTC

Modified:

2017-08-08 13:43:58 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to change PHP version: Call to a member function getValue() on null

Applicable to:

  • Plesk for Linux

Symptoms

  • Unable to change a PHP version in Plesk with the following error message:
    ERROR: Call to a member function getValue() on null (PhpSettings.php:85)
  • Getting the error message below while creating a subdomain:
    The component AWStats was not installed

Cause

Misconfigured PHP.

Resolution

Reread PHP handlers info using the command:

# plesk sbin php_handlers_control --reread
Have more questions? Submit a request
Please sign in to leave a comment.